<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>HTML Tables and Forms</title>
</head>

<body>
	<header>
		<h1>HTML Tables and Forms</h1>
	</header>

	<main>
		<h2>HTML Entities</h2>

	<p><em>Reserved character in HTML (e.g &lt; or &gt; characters that can mix up with HTML code)</em></p>
	
	<section>
			
			<!-- start of table -->

	<table border="1">

		<!-- thead used to group table header content -->
		<thead>
			<!-- tr - defines a table row -->
			<tr>
				<th colspan="2">Entity</th>
				<th>Description</th>

			</tr>
			</thead>
		<!-- tbody - used to group table body content -->
		<tbody>
			<tr>
				<td>&lt;</td>
				<td>lt</td>
				<td>less than</td>
			</tr>	

			<tr>
				<td>&gt;</td>
				<td>gt</td>
				<td>greater than</td>
			</tr>

			<tr>
				<td>&#8369;</td>
				<td>#8369</td>
				<td>peso sign</td>
			</tr>

			<tr>
				<td>&amp;</td>
				<td>amp</td>
				<td>ampersand</td>
			</tr>

			<tr>
				<td>&qout;</td>
				<td>qout</td>
				<td>double qoutation mark</td>
			</tr>

			<tr>
				<td>&apos;</td>
				<td>apos</td>
				<td>single qoutation mark (apostrophe)</td>
			</tr>			

			<tr>
				<td>&ntilde;</td>
				<td>ntilde</td>
				<td>Lower Tilde</td>
			</tr>


			<tr>
				<td>&Ntilde;</td>
				<td>Ntilde</td>
				<td>Upper Tilde</td>
			</tr>


		</tbody>

	</table>

	<!-- end of table -->
	</section>

	<section>

		<!-- start of form -->

		<h2>HTML Forms</h2>

			<p><em>Input elements that make up a form</em></p>

		<form action="https://google.com">

			<label for="full_name">Full Name:</label><br>
			<input type="text" name="full_name" id="full_name" required autocomplete><br><br>

			<label for="birth_date">Birth Date:</label><br>
			<input type="Date" name="birth_date" id="birth_date" required><br><br>

			<label for="age">Age:</label><br>
			<input type="number" name="age" id="age" min="1" required><br><br>

			<label for="gender">Gender:</label><br>
			<select name="gender" id="value">
				<option value="Male">Male</option>
				<option value="Female">Female</option>
			</select><br><br>

			<label for="notes">Notes:</label><br>
			<textarea name="notes" rows="5" id="notes"></textarea><br><br>

			<label>New User:</label><br>

			<input type="radio" name="new_user" id="user-type1" value="yes">
			<label for="user-type1">Yes</label><br>

			<input type="radio" name="new_user" id="user-type2" value="no">
			<label for="user-type2">No</label><br><br>

			<label>Role:</label><br>

			<input type="checkbox" name="role1" id="role1">
			<label for="role1">Developer</label><br>

			<input type="checkbox" name="role2" id="role2">
			<label for="role2">Student</label><br>

			<input type="checkbox" name="role3" id="role3">
			<label for="role3">Manager</label><br><br>


			<button type="submit">Submit</button>
			<button type="reset">Reset</button>
	
		</form>

		<!-- end of form -->

	</section>

	
	</main>

</body>
</html>